Subject: Re: [PATCH] enc28j60: Fix sporadic packet loss (correction)

From: David Brownell <david-b-yBeKhBN/[email-masked]>
Date: Tue, 2 Dec 2008 14:44:02 -0800

On Tuesday 02 December 2008, Baruch Siach wrote:
> Hi David,
> 
> On Tue, Dec 02, 2008 at 01:05:05PM -0800, David Brownell wrote:
> > Seems plausible to me, but network patches should be submitted
> > to the netdev list.  :)
> 
> So I did after Claudio suggested the same (and acked the patch).

Good, thanks.

> > p.s. Just for info ... what kind of Linux system are you using
> >    this driver on?
> 
> I'm using this driver on a custom chip that includes ARM926 core. The kernel 
> version is (currently) 2.6.26. The SPI bus on this chip is the only way to 
> connect peripherals.  That's way we're stuck with this Ethernet interface.

It's a bit sub-optimal ... but I'm glad you've got that option!  :)

> Our on-chip SPI master is the Synopsys DesignWare one. I wrote a driver for 
> this SPI master. This driver is somewhat usable, but not complete yet. I'm now 
> in the process of adding DMA support to the driver (PL080) to overcome some 
> nasty  design peculiarities of this SPI master.
> 
> Peter Pearse has poster a (incomplete) patch set with a driver for the PL080 
> DMA controller to the LAKL last week, but I see no push for integrating it 
> into the mainline. So I doubt there's any great value in this SPI master 
> driver as of now.

I certainly wouldn't expect that on the ARM list.  It's
not exactly the responsibility of that list to address
anything other than arch/arm/* goodies.

Post it to the SPI list instead.  If it's useful to you,
it could well be useful to others... I'd have no problems
merging such a driver, if it's reasonably clean/correct
and is known to work well enough to support enc28j60.

- Dave

-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/